ドキュメント

サポート

Image status

Documentation for Image status
読み終わるまでの所要時間 1 分最終更新 3日前

Get the rollout status of the image specified by
<imageid>
. This is used to determine the progress of machines receiving the latest version of the image.
During zero downtime patching, you can use this endpoint to determine when the fleet is ready. Once ready, it can be allocated using a profile which references the new image version.
https://api.multiplay.co.uk/cfp/v2/project/<accountserviceid>/image/<imageid>/status
METHOD
GET

Request parameters

VARIABLEDESCRIPTIONOPTIONAL
accountserviceidThe
<accountserviceid>
parameter accepts an account service ID (ASID) associated with the specified resource. The credentials in the request header must have access to the ASID to perform the request.
No
imageidThe
<imageid>
parameter accepts a game image ID.
No
detailThe
<detail>
parameter accepts a boolean value.

If set to
true
, the response will include additional information about the fleet and region.

If excluded or set to
false
, no additional information is included in the response body.
Yes

Response fields

Field

Type

Description

Optional

fleetsobjectList of fleet objects, included only if detail parameter set to trueYes
pending_machinesintegerNumber of running machines currently pending installsNo
failed_machinesintegerNumber of disabled machines currently unable to installNo
completed_machinesintegerNumber of running machines fully installedNo

Fleet status object

Field

Type

Description

Optional

regionsobjectMap of region IDs to region status objectsNo
pending_machinesintegerNumber of running machines currently pending installsNo
failed_machinesintegerNumber of disabled machines currently unable to installNo
completed_machinesintegerNumber of running machines fully installedNo

Region status object

Field

Type

Description

Optional

namestringName of the regionNo
pending_machinesintegerNumber of running machines currently pending installsNo
failed_machinesintegerNumber of disabled machines currently unable to installNo
completed_machinesintegerNumber of running machines fully installedNo

Example request

curl --location --request GET 'https://api.multiplay.co.uk/cfp/v2/project/<accountserviceid>>/image/<imageid>>/status?detail=<detail>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'

Example response

{ "fleets": { <fleetid>: { "regions": { <regionid>: { "name": <region_name>, "pending_machines": <pending_machines>, "completed_machines": <completed_machines> }, }, "pending_machines": <pending_machines>, "completed_machines": <completed_machines> }, ... }, "pending_machines": <pending_machines>, "completed_machines": <completed_machines>}